import service from "@/utils/request";

export function getAllUser(pageNum = 1, pageSize = 10) {
  return service({
    url: "/users/getAllUser",
    method: "get",
    params: { pageNum, pageSize },
  });
}

export function getUserById(userId) {
  return service({
    url: `/users/${userId}`,
    method: "get",
  });
}

export function updateUser(data) {
  return service({
    url: "/users/updateUser",
    method: "post",
    data: { data },
  });
}

export function insertUser(data) {
  return service({
    url: "/users/insertUser",
    method: "post",
    data: { data },
  });
}
